INSTALLBOOT(8)

NAME
installboot - install a bootstrap on an FFS filesystem partition

SYNOPSIS
installboot [-nv] bootblk device

DESCRIPTION
installboot prepares an FFS filesystem partition for boot-strapping from the PROM. The sparc bootblocks are split into two parts: a small first-stage program that is written into the superblock area in a partition ( and hence is limited in size to SBSIZE - DEV_BSIZE bytes), and a second-stage program that resides in the filesystem proper. The first-stage program is loaded into memory by the PROM. After it receives control, it loads the second stage program ofwboot from the filesystem. The second-stage boot program uses the device driver interface to the PROM and the stand-alone filesystem code in “libsa.a” to locate and load the kernel. The second-stage boot program and the prototype code for the first-stage bootprogram can be found in /usr/mdec/ofwboot and /usr/mdec/bootblk respectively. The second-stage program commonly resides in the root directory as /ofwboot.

The options are as follows:

-n  Do not actually write anything on the disk.

-v  Verbose mode.

The arguments are:

bootblk
    the name of the prototype file for the first stage boot program.

device
    the name of the raw device in which the first-stage boot program is to be installed. This should correspond to the block device on which the file system containing ofwboot is mounted.

EXAMPLES
The following commands will install the first-stage bootblocks in the root filesystem (assumed to be mounted on “sd0a”) using the file /ofwboot as the second-level boot program:

    # cp /usr/mdec/ofwboot /ofwboot
    # /usr/mdec/installboot /usr/mdec/bootblk /dev/rsd0c

SEE ALSO
boot(8), disklabel(8), init(8)

HISTORY
The installboot first appeared in NetBSD 1.1.

BUGS
installboot requires simultaneous access to the mounted file system and the raw device, but that is not allowed with the kernel securelevel variable set to a value greater than zero (the default), so installboot only works in single-user mode (or insecure mode - see init(8)).